Skip to main content
`Ctrl`+`K`

# DMGetEnclosureRelation

Get the relationship between `dmA` and `dmB`

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMGetEnclosureRelation(DM dmA, DM dmB, DMEnclosureType *rel)

## Input Parameters

- dmA - The first `DM`

- dmB - The second `DM`

## Output Parameter

- rel - The relation of `dmA` to `dmB`

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMGetEnclosurePoint()`

## Level

intermediate

## Location

src/dm/impls/plex/plexsubmesh.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages